Tracking bug for Firefox 5 transition in Natty

Bug #798484 reported by Micah Gersten on 2011-06-17
322
This bug affects 25 people
Affects Status Importance Assigned to Milestone
Bindwood
Medium
Chris Coulson
bindwood (Ubuntu)
Undecided
Unassigned
Natty
Wishlist
Unassigned
firefox (Ubuntu)
Wishlist
Unassigned
Natty
Wishlist
Micah Gersten
gecko-mediaplayer (Ubuntu)
Undecided
Unassigned
Natty
Wishlist
Unassigned
moon (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned
mozvoikko (Ubuntu)
Wishlist
Unassigned
Natty
Wishlist
Unassigned
webfav (Ubuntu)
Wishlist
Unassigned
Natty
Wishlist
Unassigned

Bug Description

USN Information: USN-1157-1, USN-1157-2

TESTING:I'm basically just looking for usage testing. Please let us know by filing bugs against the actual packages affected if a regression is found. Please comment with the new bug # and affected package here. Please feel free to comment up to 3 people for each package that it is indeed working. Also see: https://lists.ubuntu.com/archives/ubuntu-devel/2011-June/033565.html

NOTE TO UBUNTU-SRU: Please do not copy these packages to -security/-updates without explicit approval from the security team.

-----------------------------------------------------------------------

Binary package hint: firefox

This bug will track the Firefox 5 transition in natty. I will add the USN information here after release.

Related branches

Micah Gersten (micahg) on 2011-06-17
security vulnerability: no → yes
Changed in firefox (Ubuntu):
importance: Undecided → Wishlist
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
description: updated
Micah Gersten (micahg) on 2011-06-17
Changed in mozvoikko (Ubuntu):
importance: Undecided → Wishlist
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Changed in webfav (Ubuntu):
importance: Undecided → Wishlist
status: New → In Progress
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) on 2011-06-17
Changed in firefox (Ubuntu Natty):
importance: Undecided → Wishlist
Changed in mozvoikko (Ubuntu Natty):
importance: Undecided → Wishlist
Changed in webfav (Ubuntu Natty):
importance: Undecided → Wishlist
assignee: nobody → Micah Gersten (micahg)
Changed in mozvoikko (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
Changed in webfav (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
Changed in mozvoikko (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
Changed in firefox (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Invalid
Changed in firefox (Ubuntu Natty):
status: New → In Progress
Changed in mozvoikko (Ubuntu Natty):
status: New → In Progress
Changed in webfav (Ubuntu Natty):
status: New → In Progress
Changed in webfav (Ubuntu):
status: In Progress → Invalid
Changed in mozvoikko (Ubuntu):
status: In Progress → Invalid
Changed in firefox (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) wrote :

This is now in -proposed

Changed in bindwood (Ubuntu):
status: New → Invalid
Changed in gecko-mediaplayer (Ubuntu):
status: New → Invalid
Changed in bindwood (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Wishlist
status: New → In Progress
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
Micah Gersten (micahg) wrote :

mozvoikko now in natty-proposed
webfav now in natty-proposed

Changed in mozvoikko (Ubuntu Natty):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
Changed in webfav (Ubuntu Natty):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
description: updated
Changed in gecko-mediaplayer (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Wishlist
status: New → In Progress
tags: added: security-verification
Micah Gersten (micahg) wrote :

moon is currently blocked on an FTBFS in oneiric (bug #798941)

Changed in moon (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in moon (Ubuntu Natty):
importance: Undecided → Medium
status: New → Triaged
description: updated
Micah Gersten (micahg) on 2011-06-17
tags: added: verification-needed-bindwood verification-needed-gecko-mediaplayer verification-needed-mozvoikko verification-needed-webfav
Micah Gersten (micahg) wrote :

gecko-mediaplayer now in natty-proposed

Changed in gecko-mediaplayer (Ubuntu Natty):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Fix Committed
description: updated
Micah Gersten (micahg) on 2011-06-17
tags: added: verification-needed-firefox
Micah Gersten (micahg) wrote :

moon is being removed from oneiric, so moving forward with the natty update

Changed in moon (Ubuntu):
status: Triaged → Invalid
Changed in moon (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
status: Triaged → In Progress
description: updated
description: updated
Jamie Strandboge (jdstrand) wrote :

Firefox 5.0+build1+nobinonly-0ubuntu0.11.04.1 copied to natty-proposed.

Changed in firefox (Ubuntu Natty):
status: In Progress → Fix Committed
Jamie Strandboge (jdstrand) wrote :

moon 2.3-0ubuntu5.1 copied to natty-proposed.

Changed in moon (Ubuntu Natty):
status: In Progress → Fix Committed
Benjamin Drung (bdrung) wrote :

I have installed Firefox from natty-proposed yesterday and using it without any regression since yesterday.

Firefox 5.0 and xul-ext-mozvoikko installed from natty-proposed, no regressions.

Jamie Strandboge (jdstrand) wrote :

Tested i386 with QRT and it works fine.

Micah Gersten (micahg) on 2011-06-21
tags: added: verification-done-firefox verification-done-mozvoikko verification-done-webfav
removed: verification-needed-firefox verification-needed-mozvoikko verification-needed-webfav
Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package firefox - 5.0+build1+nobinonly-0ubuntu0.11.04.1

---------------
firefox (5.0+build1+nobinonly-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream release from the stable channel (FIREFOX_5_0_BUILD1)
    - see LP: #798484 for USN information

  * Update globalmenu-extension to 1.0.6
  * Switch to mozilla-beta
    - update debian/mozclient/firefox.conf
  * Drop the ability to build with an external xulrunner, and all the packaging
    complexity which went with it
    - update debian/apport/firefox.in
    - update debian/firefox.install.in
    - update debian/firefox.lintian-overrides.in
    - update debian/firefox.sh.in
    - update debian/mozconfig.in
    - update debian/rules
  * Build language packs directly from the firefox source
    + Fixes LP: #294187 - Firefox Locales should install locale specific
      search plugins
    + Rip out the bits to create a en-US.xpi
      - update debian/rules
      - remove debian/translation-support/install.rdf.in
    + Include compare-locales FIREFOX_5_0b1_BUILD1 from
      http://hg.mozilla.org/build/compare-locales. It's needed for merging
      en-US strings with incomplete locales
    + Pull l10n data in to tarball from bzr
      - update debian/mozclient/firefox.conf
    + Configure build for creating language packs by configuring with
      "--with-l10n-base="
      - update debian/mozconfig.in
    + Store the list of locales to ship, and provide a way of automatically
      generating that list and the control file entries from the upstream
      source. Also provide a way to blacklist languages. We map languages
      to package names using langpack-o-matic (and also get descriptions
      from there too)
      - update debian/rules
      - add debian/locales-supported
      - add debian/control.langpacks
      - update debian/control
      - add debian/locale-blacklist
      - add debian/refresh-supported-locales.pl
    + Add common-build-indep hook to build the translation xpi's
      - update debian/rules
    + Add common-binary-post-install-indep to install the xpi's and
      searchplugins in to the correct debian packages
      - update debian/rules
      - add debian/get-xpi-id.py
    + When rebuilding debian/control in the clean target, fail the build
      if the control file was out-of-date. This ensures that we don't
      accidentally drop language packs, and forces me to maintain an
      up-to-date control file in bzr
      - update debian/rules
    + Apply vendor patches to localized searchplugins too
      - update debian/patches/ubuntu-codes-amazon.patch
      - add debian/patches/ubuntu-codes-baidu.patch
      - update debian/patches/ubuntu-codes-google.patch
  * Ditch all the version-number based branding selection. Do this all
    purely on the channel name now
    - remove debian/firefox-beta.desktop.in
    - remove debian/firefox-nightly.desktop.in
    - remove debian/firefox-unofficial.desktop.in
    - rename debian/firefox-final.desktop.in => debian/firefox.desktop.in
    - update debian/firefox.desktop.in
    - update debian/rules
    - update debian/firefox.sh.in
  * Drop the DEB_ENABLE_IPC option, now that IPC is mandator...

Read more...

Changed in firefox (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webfav - 1.17-0ubuntu5.1

---------------
webfav (1.17-0ubuntu5.1) natty-security; urgency=low

  * Bump maxVersion to 6.0.* (LP: #798484)
 -- Chris Coulson <email address hidden> Fri, 17 Jun 2011 04:20:25 -0500

Changed in webfav (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 1.9.0~svn20101114r3591-0ubuntu3.11.04.1

---------------
mozvoikko (1.9.0~svn20101114r3591-0ubuntu3.11.04.1) natty-security; urgency=low

  * Drop some of the changes from the last upload, as firefox-dev is
    equivalent to xulrunner-dev now
    - update debian/rules to not set XULRUNNER_SDK_DIR
    - update debian/patches/fix_sdk_build.patch to set XULRUNNER_SDK_DIR
      using pkg-config in Makefile.xulrunner
    - update debian/patches/port_to_xulrunner-192.patch to use libxul.pc
      rather than firefox-plugin.pc, and drop the list of linked libs
  * Rename port_to_xulrunner-192.patch to port_to_firefox5.patch and merge
    increase_max_ff_version.patch in to it
  * Update port_to_firefox5.patch because of changes to mozISpellCheckingEngine
    in Firefox 5 (LP: #798484)
 -- Chris Coulson <email address hidden> Fri, 17 Jun 2011 02:25:58 -0500

Changed in mozvoikko (Ubuntu Natty):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

Tested Firefox 5 w/QRT on amd64 and i386, no regressions over previous functionality found in natty. Also tested ES, DE, HE, PT, and FR languages and they did not display any errors due to missing files. mozvoikko seems to be working, webfav seems to produce a .desktop file.

papukaija (papukaija) wrote :

I found a regression: I'm using Ubuntu in Finnish and after I updated FF through SRU, I lost the Finnish locale. I tried restarting but my FF is still in English. I did the update with apt-get and it also installed/updated language-pack-fi-base. The add-on manager doesn't show the Finnish locale but mozvoikko is shown. What package should provide the locales?

Chris Coulson (chrisccoulson) wrote :

If you did the upgrade with "apt-get upgrade", then it won't have pulled in the new translations (firefox-locale-fi). apt-get upgrade is broken, as it doesn't handle installing new packages at all. You shouldn't be using it to do upgrades.

Micah Gersten (micahg) wrote :

@papukaija
Did you run apt-get upgrade or apt-get dist-upgrade? The former probably would have caused your issue. There is now a firefox-locale-fi package that the new language packs would have pulled in either through a dist-upgrade or by using update-manager.

papukaija (papukaija) wrote :

I used "apt-get upgrade". Manually installing firefox-locale-fi fixed the issue. I used update-manager on my second PC and it installed firefox-locale-fi correctly.

Micah Gersten (micahg) on 2011-06-22
description: updated
Sebastian Carneiro (scarneiro) wrote :

I have installed Firefox from natty-proposed on saturday and using it without any regression since that day.

Best regards.

Chris Coulson (chrisccoulson) wrote :

I had no idea bindwood was still sitting in proposed, how come it hasn't been copied? I had this ready more than 5 weeks ago, it's not good that we delay it so long that we get bug reports from Natty users about bindwood breaking compatibility.

dobey (dobey) on 2011-07-22
Changed in bindwood:
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → Medium
status: New → In Progress
Changed in bindwood:
status: In Progress → Fix Committed
Micah Gersten (micahg) wrote :

I was waiting for someone to confirm the new builds in natty-proposed actually worked. No one has stepped forward to do that for bindwood, moon, or gecko-mediaplayer.
If people are interested in these builds moving to -updates/-security, can someone please comment here that they've tested them and if there are any regressions.

dobey (dobey) wrote :

I can verify that bindwood installs and is loaded correctly by Firefox again, now with Firefox 6 which my machine has already been updated to. Please get it pushed to -updates.

tags: added: verification-done-bindwood
removed: verification-needed-bindwood
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bindwood - 1.99.0-0ubuntu1.1

---------------
bindwood (1.99.0-0ubuntu1.1) natty-security; urgency=low

  * Add support for Firefox 6: (LP: #798484)
    - bump maxVersion to 6.0.*
    - don't use "class" as a variable name, as it's a reserved keyword
 -- Chris Coulson <email address hidden> Fri, 17 Jun 2011 04:34:13 -0500

Changed in bindwood (Ubuntu Natty):
status: Fix Committed → Fix Released
John O'Brien (jdobrien) on 2012-03-15
Changed in moon (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in bindwood:
status: Fix Committed → Fix Released
Changed in gecko-mediaplayer (Ubuntu Natty):
status: Fix Committed → Fix Released
Micah Gersten (micahg) wrote :

Sorry, gecko-mediaplayer and moon haven't been tested and are still in -proposed waiting for testing

Changed in gecko-mediaplayer (Ubuntu Natty):
status: Fix Released → Fix Committed
Changed in moon (Ubuntu Natty):
assignee: Micah Gersten (micahg) → nobody
status: Fix Released → Fix Committed
Jamie Strandboge (jdstrand) wrote :

Thank you for reporting this bug to Ubuntu. natty has reached EOL
(End of Life) for this package and is no longer supported. As
a result, this bug against natty is being marked "Won't Fix".
Please see https://wiki.ubuntu.com/Releases for currently
supported Ubuntu releases.

Please feel free to report any other bugs you may find.

Changed in gecko-mediaplayer (Ubuntu Natty):
status: Fix Committed → Won't Fix
Changed in moon (Ubuntu Natty):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Duplicates of this bug

Other bug subscribers